#ifndef BASE_MAIN_H
#define BASE_MAIN_H

#include "scene.h"
#include "base.h"	//LoopCallback

//this should be a replacement for Base ...
class BaseModule : public Scene, public LoopCallback {
public:
	//init code
	virtual void init();
	
	//shutdown code
	virtual void shutdown();

	//scene class
	virtual void render(const Viewport *viewport, const View *view);
	
	//base loop
	virtual void update();

	//run the thing
	//do not touch outside of here
	void loop();
};

#endif	//BASE_MAIN_H