#ifndef BASE_SCENE_H
#define BASE_SCENE_H

class Viewport;
class View;

/**
 * The virtual class which all Viewports reference for rendering
 */
class Scene {
public:

	/**
	 * Renders a scene through the specified viewports and views
	 */
	virtual void render(const Viewport *viewport, const View *view) = 0;
};

#endif
